Texa Desk Application API · Conversations
Update Conversation
PATCH/
Update Conversation Attributes
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
conversation_idintegerrequiredThe numeric ID of the conversation
Body application/json
prioritystringThe priority of the conversation. Set to null to clear the priority. One of: urgent, high, medium, low.
sla_policy_idnumberThe ID of the SLA policy (Available only in Enterprise edition)
Responses
200Success
idnumberID of the conversation
messagesarray of objectmessages[].idnumberThe ID of the message
messages[].contentstringThe text content of the message
messages[].account_idnumberThe ID of the account
messages[].inbox_idnumberThe ID of the inbox
messages[].conversation_idnumberThe ID of the conversation
messages[].message_typeintegerThe type of the message One of: 0, 1, 2, 3.
messages[].created_atintegerThe time at which message was created
messages[].updated_atinteger or stringThe time at which message was updated
messages[].privatebooleanThe flags which shows whether the message is private or not
messages[].statusstringThe status of the message One of: sent, delivered, read, failed.
messages[].source_idstringThe source ID of the message
messages[].content_typestringThe type of the template message One of: text, input_text, input_textarea, input_email, input_select, cards, form, article, incoming_email, input_csat, integrations, sticker, voice_call.
messages[].content_attributesobjectThe content attributes for each content_type
messages[].sender_typestringThe type of the sender One of: Contact, User, AgentBot.
messages[].sender_idnumberThe ID of the sender
messages[].external_source_idsobjectThe external source IDs of the message
messages[].additional_attributesobjectThe additional attributes of the message
messages[].processed_message_contentstringThe processed message content
messages[].sentimentobjectThe sentiment of the message
messages[].conversationobjectThe conversation object
messages[].attachmentobjectThe file object attached to the image
messages[].senderobjectUser/Agent/AgentBot object
account_idnumberAccount Id
uuidstringUUID of the conversation
additional_attributesobjectThe object containing additional attributes related to the conversation
agent_last_seen_atnumberThe last activity at of the agent
assignee_last_seen_atnumberThe last activity at of the assignee
can_replybooleanWhether the conversation can be replied to
contact_last_seen_atnumberThe last activity at of the contact
custom_attributesobjectThe object to save custom attributes for conversation, accepts custom attributes key and value
inbox_idnumberID of the inbox
labelsarray of stringThe labels of the conversation
mutedbooleanWhether the conversation is muted
snoozed_untilnumberThe time at which the conversation will be unmuted
statusstringThe status of the conversation One of: open, resolved, pending.
created_atnumberThe time at which conversation was created
updated_atnumberThe time at which conversation was updated
timestampnumberThe time at which conversation was created
first_reply_created_atnumberThe time at which the first reply was created
unread_countnumberThe number of unread messages
last_non_activity_messageobject or nullThe last non activity message
last_activity_atnumberThe last activity at of the conversation
prioritystringThe priority of the conversation
waiting_sincenumberThe time at which the conversation was waiting
sla_policy_idnumberThe ID of the SLA policy
applied_slaobjectThe applied SLA
sla_eventsarray of object401Unauthorized
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring404Conversation not found
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring422Validation error
errorstringrequired